︠0f51d70a-8f3d-4af6-928d-29815595b9df︠
# Zum Beispiel in der Vorlesung (Folie 58/59)
var ('x y') # Variablen deklarieren
F1=vector([x,-y]) # Funktion definieren

view(F1) # Funktion symbolisch darstellen lassen (als Zeilenvektor)
V1=plot_vector_field(F1,(x,-3,3),(y,-3,3), color='blue') # Vektorfeld Plotobjekt erstellen

show(V1,gridlines=True, aspect_ratio=1,axes_labels=['$x$','$y$'])# Vektorfeld plotten
︡32c3e774-8c54-476c-89e5-07ffeb960cf7︡{"stdout":"(x, y)\n"}︡{"html":"<div align='center'>$\\displaystyle \\left(x,\\,-y\\right)$</div>"}︡{"once":false,"file":{"show":true,"uuid":"870fbd32-9930-44f8-b142-b3aa2f65ac88","filename":"/projects/b1a49c8e-77b2-48e8-a014-ca2e06e09eb5/.sage/temp/compute0-us/18065/tmp_ZgsYbr.svg"}}︡{"html":"<div align='center'></div>"}︡
︠b9617527-146f-4bbf-8586-f5fb518eecdfs︠

var('x y z') # Jetzt Definition in 3D, zur Berechnung der Rotation und Divergenz
F=vector([x,-y, 0])
view(F)
V=plot_vector_field3d(F,(x,-2,2),(y,-2,2),(z,-2,2), colors=['red','green','blue'])
show(V) # vektorfeld plotten
def divergence(F):
    assert(len(F) == 3) # Test ob Vektor in 3D gegeben ist
    return diff(F[0],x) + diff(F[1],y) + diff(F[2],z)
def curl(F):
    assert(len(F) == 3)
    return vector([diff(F[2],y)-diff(F[1],z), diff(F[0],z)-diff(F[2],x), diff(F[1],x)-diff(F[0],y)])

curl(F) # Rotation
divergence(F) # Divergenz

︡481dc2b4-efee-4c66-8100-140e3a01d095︡{"stdout":"(x, y, z)\n"}︡{"html":"<div align='center'>$\\displaystyle \\left(x,\\,-y,\\,0\\right)$</div>"}︡{"file":{"filename":"5e23f6c9-ba61-4e22-b710-945d3dd8c753.sage3d","uuid":"5e23f6c9-ba61-4e22-b710-945d3dd8c753"}}︡{"stdout":"(0, 0, 0)\n"}︡{"stdout":"0\n"}︡{"done":true}︡︡{"file":{"filename":"5e23f6c9-ba61-4e22-b710-945d3dd8c753.sage3d","uuid":"5e23f6c9-ba61-4e22-b710-945d3dd8c753"}}︡{"stdout":"(0, 0, 0)\n"}︡{"stdout":"0\n"}︡{"done":true}
︠7b9f02eb-74da-42bb-b78a-88cb8420c982s︠
var('x y z') # Beispiel aus der Vorlesung
#F=vector([-y/sqrt(x^2+y^2),-x/sqrt(x^2+y^2),0])
F=vector([x/(sqrt(x^2+y^2))^3,y/(sqrt(x^2+y^2))^3,z/(sqrt(x^2+y^2))^3])
view(F)

#V=plot_vector_field3d(F,(x,-2,2),(y,-2,2),(z,-2,2), colors=['red','green','blue'])
#show(V) # vektorfeld plotten
rot=curl(F)
div=divergence(F)
show(rot)
show(div)
︡7ad3356d-c0f3-4369-954d-a7f7106742e0︡{"stdout":"(x, y, z)\n"}︡{"html":"<div align='center'>$\\displaystyle \\left(\\fracxx}{{{\left((x^{2} + y^{2}\\right)}^{\\frac{3}{2}\\right)}^{\\frac{3}{2}}},\\,\frac{yy}{{\\left(x^{2} + y^{2}\\right)}^{\\frac{3}{2}\\right)}^{\\frac{3}{2}}},\\,\\frac{z}{{\\left(x^{2} + y^{2}\\right)}^{\\frac{5}{2}}},\\,\\f3 \\, x zc{z}{{\\left(x^{2} + y^{2}\\right)}^{\\frac{5}{2}}},\\,0\\right)$</div>"}︡{"html":"<div align='center'>$\\displaystyle \\left(-\\frac{3 \\, y z}{{\\left(x^{2} + y^{2}\\right)}^{\\frac{5}{2}}},\\,\\frac{3 \\, x z}{{\\left(x^{2} + y^{2}\\right)}^{\\frac{5}{2}}},\\,0\\right)$</div>"}︡{"html":"<div align='center'>$\\displaystyle -\\frac{3 \\, x^{2}}{{\\left(x^{2} + y^{2}\\right)}^{\\frac{5}{2}}} - \\frac{3 \\, y^{2}}{{\\left(x^{2} + y^{2}\\right)}^{\\frac{5}{2}}} + \\frac{3}{{\\left(x^{2} + y^{2}\\right)}^{\\frac{3}{2}}}$</div>"}︡{"done":true}
︠daf425b2-6b7a-4c04-ab58-932d5b5a3ee6s︠
var('x y z') # Zur Aufgabe 8, Übung 2
F=vector([x*y^2,2*x^2*y*z, -3*y*z])
view(F)
V=plot_vector_field3d(F,(x,-2,2),(y,-2,2),(z,-2,2), colors=['red','green','blue'])
show(V) # vektorfeld plotten
rot=curl(F)

show(rot)
︡4459645a-01b9-4978-a588-0339a4b84a30︡{"stdout":"(x, y, z)\n"}︡{"html":"<div align='center'>$\\displaystyle \\left(x y^{2},\\,2 \\, x^{2} y z,\\,-3 \\, y z\\right)$</div>"}︡{"file":{"uuid":"54c393e2-ae79-4adc-90ab-b1e08ab0dcf3","filename":"54c393e2-ae79-4adc-90ab-b1e08ab0dcf3.sage3d"}}︡{"html":"<div align='center'></div>"}︡{"html":"<div align='center'>$\\displaystyle \\left(-2 \\, x^{2} y - 3 \\, z,\\,0,\\,4 \\, x y z - 2 \\, x y\\right)$</div>"}︡
︠ebe984bc-b905-49b4-a1d6-e9ef9608ebf6︠









